[debian-mysql] Bug#466886: mysql-server-5.0: Faulty default config causes abort in init script

Marc Langer marc at marclanger.de
Thu Feb 21 17:36:34 UTC 2008

Package: mysql-server-5.0
Version: 5.0.32-7etch5
Severity: important

When installing the last security update in etch I chose to install
the default my.cnf from the package, as it seemed also suitable for
my installation.

So I let overwrite the my.cnf with the package version and get the
following error on startup:

/etc/init.d/mysql: ERROR: Using expire_logs_days without log_bin crashes
the server. See README.Debian.gz
invoke-rc.d: initscript mysql, action "start" failed.

After commenting out expire_logs_days in my.cnf it worked again.

The distributed default my.cnf seems to be broken in stable!

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-686
Locale: LANG=de_DE at euro, LC_CTYPE=de_DE at euro (charmap=ISO-8859-1) (ignored: LC_ALL set to de_DE)

Versions of packages mysql-server-5.0 depends on:
ii  adduser                3.102             Add and remove users and groups
ii  debconf [debconf-2.0]  1.5.11etch1       Debian configuration management sy
ii  libc6                  2.7-8             GNU C Library: Shared libraries
ii  libdbi-perl            1.53-1etch1       Perl5 database interface by Tim Bu
ii  libgcc1                1:4.3-20080202-1  GCC support library
ii  libmysqlclient15off    5.0.51a-3         MySQL database client library
ii  libncurses5            5.6+20080203-1    Shared libraries for terminal hand
ii  libreadline5           5.2-2             GNU readline and history libraries
ii  libstdc++6             4.3-20080202-1    The GNU Standard C++ Library v3
ii  libwrap0               7.6.dbs-13        Wietse Venema's TCP wrappers libra
ii  lsb-base               3.1-23.2etch1     Linux Standard Base 3.1 init scrip
ii  mysql-client-5.0       5.0.32-7etch5     mysql database client binaries
ii  mysql-common           5.0.51a-3         MySQL database common files
ii  passwd                 1:      change and administer password and
ii  perl                   5.8.8-12          Larry Wall's Practical Extraction 
ii  psmisc                 22.3-1            Utilities that use the proc filesy
ii  zlib1g                 1: compression library - runtime

Versions of packages mysql-server-5.0 recommends:
ii  mailx            1:8.1.2-0.20050715cvs-1 A simple mail user agent

-- debconf information:
  mysql-server-5.0/really_downgrade: false
  mysql-server-5.0/start_on_boot: true
  mysql-server-5.0/postrm_remove_databases: false
* mysql-server-5.0/mysql_install_db_notes:
* mysql-server-5.0/need_sarge_compat: false
  mysql-server-5.0/need_sarge_compat_done: true

More information about the pkg-mysql-maint mailing list